<?php

namespace Drupal\blog_commerce\Plugin\Commerce\CheckoutPane;

use Drupal\commerce_checkout\Annotation\CommerceCheckoutPane;
use Drupal\commerce_checkout\Plugin\Commerce\CheckoutPane\CheckoutPaneBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides the completion message pane.
 *
 * @CommerceCheckoutPane(
 *   id = "custom_completion_message",
 *   label = @Translation("Custom Completion message"),
 *   default_step = "complete",
 *
 * )
 */
class CustomCompleteMessage extends CheckoutPaneBase {

  public function buildConfigurationSummary() {
    return $this->configuration['own_message'] ? $this->configuration['own_message'] : "Is empty";
  }

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return [
        'own_message' => NULL,
      ] + parent::defaultConfiguration();
  }

  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);
    $form['own_message'] = [
      '#type' => 'textarea',
      '#title' => 'Own Message',
      '#default_value' => $this->configuration['own_message'],
    ];
    return $form;
  }

  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
    parent::submitConfigurationForm($form, $form_state); // TODO: Change the autogenerated stub
    if (!$form_state->getErrors()) {
      $values = $form_state->getValue($form['#parents']);//[custom_completion_message] > [own_message]
      $this->configuration['own_message'] = $values['own_message'];
    }
  }


  public function buildPaneForm(array $pane_form, FormStateInterface $form_state, array &$complete_form) {
    $pane_form["message"] = [
      '#type' => 'markup',
      '#markup' => $this->configuration['own_message'],
    ];
    return $pane_form;
  }

}
